<?
require_once ('system/func.php');
$title = 'Колесо фортуны';
require_once ('system/header.php');
auth(); // Закроем от гостей


switch($_GET[mod]){
default:
echo "<div class = block>";
echo'<div class = bg><img src="images/other/pirat.png" alt="пират" style="float:left;margin-right:5px;"/>Здравствуй дружище!,</br> <b>'.$user[login].'</b> вижу,
 ты хочешь поиграть в азартные игры? Тогда для тебя здесь есть несколько игр на твою удачливость и смекалку!</p></div>';
echo"<center><br /><a href=\"fortuna.php?mod=fort\" class = btn2>Испытать удачу</a>";
echo "</center></div>";
break;

case 'fort':
if(empty($_POST[start])){
	echo "<div class = block>";
	echo'<div class = bg><img src="images/other/pirat.png" alt="пират" style="float:left;margin-right:5px;"/>
		Приветствую тебя . Устал проигрывать и решил покрутить барабан ? Тогда ты пришел по адресу.Усаживайся поудобнее
		и лови удачу за хвост</p></div>';
		echo "<table width='100%' height='40' border='0' bgcolor='#525250'>
		<tr>
		<td align=center width=14%><img src = \"images/icons/crystal.png\"></td>
		<td align=center width=14%><img src = \"images/icons/norm.png\"></td>
		<td align=center width=14%><img src = \"images/icons/prost.png\"></td>
		<td align=center width=14%><img src = \"images/icons/sred.png\"></td>
		<td align=center width=14%><img src = \"images/icons/sred2.png\"></td>
		<td align=center width=14%><img src = \"images/icons/sys.png\"></td>
		<td align=center width=14%><img src = \"images/icons/gold.png\"></td>
		</tr>
	  </table>";
	
echo "<form action=\"fortuna.php?mod=fort\" method=\"post\">";
echo '<center><font color=lime>Стоимость игры: 30 золота</font><br/>';
echo '<input type="submit" name ="start" class = btn value="Крутить колесо" /><br /></form>';
echo '</div>';

}else{
	
		$prize = rand(1,10);
	if($user[gold]>=30){
			mysql_query("UPDATE users SET gold = '$user[gold]'-'30' WHERE id = '$myID'") or die (mysql_error());
		switch($prize)
		{
		default:
			$_SESSION['msg'] = "Попробуйте еще<br>";
			header('Location: /fortuna.php?mod=fort');
			exit();
		break;
		
		case 1://Тут все просто , выдаем деньги

			$almaz = rand(500,35000);
			$_SESSION['msg'] = "Вы выйграли <img src = \"images/icons/crystal.png\">$almaz кристаллов<br />";
			mysql_query("UPDATE users SET crystals = '$user[crystals]'+'$almaz' WHERE id = '$myID'") or die (mysql_error());
			header('Location: /fortuna.php?mod=fort');
			exit();
		break;
		
		case 2://Тут все просто , выдаем алмазы
			$chance = rand(1,5);
			if($chance ==3){
			$gold = rand(1,50);
			$_SESSION['msg'] = "Вы выйграли <img src = \"images/icons/gold.png\">$gold монет<br />";
			mysql_query("UPDATE users SET gold = '$user[gold]'+'$gold' WHERE id = '$myID'") or die (mysql_error());
			header('Location: /fortuna.php?mod=fort');
				exit();
			}else{
				$_SESSION['msg'] = "Вам не повезло , попробуйте еще!<br />";
				header('Location: /fortuna.php?mod=fort');
				exit();
			}
		break;

		case 3:// Выдаем итем на акаунт
		$chance = rand(1,10);
		if($chance == 1){
		$id = rand(1,64);
		$item = mysql_query("SELECT * FROM `item` WHERE`id`='$id'");
		$item = mysql_fetch_array($item);
		if($id){
		mysql_query("INSERT INTO
        `inv` SET
        `id_user` = '$myID',
        `str` = '$item[str]',
        `def` = '$item[def]',
        `health` = '$item[health]',
        `tip` = '$item[tip]',
        `skill` = '$item[skill]',
        `odeta` = 'net',
        `name` = '$item[name]',
        `item` = '$item[item]'") 
		or die (mysql_error());
					$_SESSION['msg'] = "<center><img src='/images/items/$item[tip]/$item[item].png' style='margin-right:3px;margin-top:-2px;'><br><li><a href='/inv'><span class='item-".skill($item['skill'])."'>$item[name]</span></a></li><br /><font color=darkorange>Поздравляем , вам крупно повезло!</font><br /><font color=lime><br>$mags[name] </center></font>";
					header('Location: /fortuna.php?mod=fort');
			exit();
		}}else{
			$_SESSION['msg'] = "Вам не повезло , попробуйте еще!<br />";
			header('Location: /fortuna.php?mod=fort');
			exit();
		}
		break;
		
		case 4://Тут все просто , выдаем большую коробку золота
			$chance = rand(1,50);
			if($chance ==3){
			$gold = 5000;
			$_SESSION['msg'] = "Вы нашли сокровище!<br> <img src = \"images/gold/bonus5.png\"><br>$gold монет<br />";
			mysql_query("UPDATE users SET gold = '$user[gold]'+'$gold' WHERE id = '$myID'") or die (mysql_error());
			header('Location: /fortuna.php?mod=fort');
				exit();
			}else{
				$_SESSION['msg'] = "Вам не повезло , попробуйте еще!<br />";
				header('Location: /fortuna.php?mod=fort');
				exit();
			}
		break;
		}	
	}else{
			$_SESSION['msg'] = "У вас недостаточно денег<br />";
			header('Location: /fortuna.php?mod=fort');
			exit();
		}
}
break;


}
echo "<a href='igri/' class='link'>".ico('icons','arrow.png')." Вернуться назад</a>";
@include('system/footer.php');
?>